> For the complete documentation index, see [llms.txt](https://docs.picklemods.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.picklemods.com/free-resources/pickle-airport/installation.md).

# Installation

## What do I need?

Use a supported framework or make it work with yours via the bridge folder.

[Ox Lib](https://github.com/overextended/ox_lib/releases/) (Required)

## Installation

:warning:Make sure you rename the folder from pickle\_airport-main to pickle\_airport prior to installing.​:warning:

If you miss this step the script will not function as expected.

Navigate to the "\_\_INSTALLATION" folder.

{% tabs %}
{% tab title="ESX Job" %}
Execute the SQL provided inside the \_\_INSTALLATION folder.
{% endtab %}

{% tab title="QBCore Job" %}
Navigate to the qb-core/shared/jobs.lua file.

Add the following code after the last job.

```
['airport'] = {
    label = 'Airport',
    defaultDuty = true,
    offDutyPay = false,
    grades = {
        ['0'] = {
            name = 'Recruit',
            payment = 0
        },
        ['1'] = {
            name = 'Pilot',
            payment = 0
        },
        ['2'] = {
            name = 'Lead Pilot',
            payment = 0
        },
        ['3'] = {
            name = 'Air-Traffic Controller',
            isboss = true, 
            bankAuth = true,
            payment = 0
        },
    },
},
```

{% endtab %}
{% endtabs %}

Ensure pickle\_airport inside your server.cfg. (I recommend putting all the Pickle scripts inside a folder such as \[pickle] and ensuring the folder. i.e. "ensure \[pickle]" )


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.picklemods.com/free-resources/pickle-airport/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
